forrest-svn mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From cross...@apache.org
Subject svn commit: r755112 - /forrest/trunk/site-author/content/xdocs/pluginDocs/plugins_0_90/usingPlugins.xml
Date Tue, 17 Mar 2009 04:36:38 GMT
Author: crossley
Date: Tue Mar 17 04:36:37 2009
New Revision: 755112

URL: http://svn.apache.org/viewvc?rev=755112&view=rev
Log:
Use "output.pdf" plugin as example of specifying version of plugin.

Modified:
    forrest/trunk/site-author/content/xdocs/pluginDocs/plugins_0_90/usingPlugins.xml

Modified: forrest/trunk/site-author/content/xdocs/pluginDocs/plugins_0_90/usingPlugins.xml
URL: http://svn.apache.org/viewvc/forrest/trunk/site-author/content/xdocs/pluginDocs/plugins_0_90/usingPlugins.xml?rev=755112&r1=755111&r2=755112&view=diff
==============================================================================
--- forrest/trunk/site-author/content/xdocs/pluginDocs/plugins_0_90/usingPlugins.xml (original)
+++ forrest/trunk/site-author/content/xdocs/pluginDocs/plugins_0_90/usingPlugins.xml Tue Mar
17 04:36:37 2009
@@ -56,12 +56,12 @@
           For example,
         </p>
         <source>
-project.required.plugins=org.apache.forrest.plugin.input.OpenOffice.org,
+project.required.plugins=org.apache.forrest.plugin.output.pdf,
   org.apache.forrest.plugin.input.simplifiedDocbook</source>
         <p>
           (note that that is all in one line with no spaces)
           will cause Forrest to load the plugins called
-          "org.apache.forrest.plugin.input.OpenOffice.org" and
+          "org.apache.forrest.plugin.output.pdf" and
           "org.apache.forrest.plugin.input.simplifiedDocbook".
         </p>
         <note>
@@ -79,9 +79,9 @@
           behaviour if a new version of the plugin has been released that is
           incompatible with your current site. To force Forrest into using a
           specific version of a plugin you should add "-VERSION_NUMBER" to the
-          end of the plugin name. For example, to force forrest to use the 1.0
-          version of the OpenOffice.org plugin you would use
-          <code>org.apache.forrest.plugin.input.OpenOffice.org-1.0</code>. If
+          end of the plugin name. For example, to force forrest to use the version 0.2
+          of the "output.pdf" plugin you would use
+          <code>org.apache.forrest.plugin.output.pdf-0.2</code>. If
           you define a version of the plugin that does not exist then it will
           fall back to using the most recent version available. This feature is
           useful when developing a new site as you can quickly force a plugin



Mime
View raw message